#!/bin/bash

# Not sure if search-space subdivision
# will be of much help here. I know there
# are some instances (like CSG and autions)
# that consume a bit more time to solve with
# subdivision, so I decide to turn it off: -h0
# Update: pedigree works better with it.
# Update2: no, found a bug, see README

dosub="-h0 -c4"


# random choices might become slow
swrandch="-r0"

# use a fixed random seed? 
# Or every starttime another one?
randseed="-a12345678"

# define exit codes

exitcode_err="-e0"         #to use code 0  on errors
exitcode_sat="-e1000010"   #to use code 10 on satifsiable
exitcode_opt="-e3000030"   #to use code 30 on optimum found
exitcode_unsat="-e2000020" #to use code 20 on unsat(?)


# additional switches useful for 
# maxsat evaluation:

nostatfile="-s"
workquiet="-v0"
forcemaxsat="-m"

./ratselfax_cnf $randseed $swrandch $nostatfile $workquiet $forcemaxsat $addsw $dosub $exitcode_err $exitcode_sat $exitcode_unsat $exitcode_opt $1



